[package]
name = "kifu-gtk"
version = "0.1.0"
edition = "2021"

[features]
screenplay = []

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
cairo-rs    = { version = "0.17" }
gio         = { version = "0.17" }
glib        = { version = "0.17" }
gtk         = { version = "0.6", package = "gtk4" }
image       = { version = "0.24" }
kifu-core   = { path = "../core" }
tokio       = { version = "1.26", features = [ "full" ] }
screenplay  = { path = "../../screenplay" }

[build-dependencies]
glib-build-tools = "0.17"

[[bin]]
name = "kifu-gtk"
path = "src/main.rs"

[[bin]]
name = "screenplay"
path = "src/bin/screenplay.rs"
required-features = [ "screenplay" ]

